Bug 842572 - antlr3 - compile with -target 1.5 or greater
antlr3 - compile with -target 1.5 or greater
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: antlr3 (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Colin Walters
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 842394
  Show dependency treegraph
 
Reported: 2012-07-24 05:17 EDT by Mikolaj Izdebski
Modified: 2012-09-11 20:25 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-11 20:25:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikolaj Izdebski 2012-07-24 05:17:52 EDT
Package antlr3 appears to be using Java generics,
but generates class files in format older than 49.0,
which corresponds to J2SE 5.0, in which generics were introduced.

Please update this package to generate classes in format 49.0 or
above. This corresponds to -target 1.5 option of javac (or ecj).

For more information, see bug #842394
Comment 1 Milos Jakubicek 2012-08-18 11:19:03 EDT
Ehm -- I have added -Dmaven.compile.target=1.5 to the maven build, how can one check that everything got compiled properly? You can have a look at:

http://koji.fedoraproject.org/koji/buildinfo?buildID=348932

Also, does this concern only rawhide/F19, or also F18?
Comment 2 Mikolaj Izdebski 2012-08-21 04:48:25 EDT
You can check the version of classes using javap command.
antlr3-3.4-10.fc19 still contains classes in format 48.0

> $ javap -classpath usr/share/java/antlr3-runtime.jar org/antlr/runtime/BaseRecognizer -verbose | head -5
> Compiled from "BaseRecognizer.java"
> public abstract class org.antlr.runtime.BaseRecognizer extends java.lang.Object
>   SourceFile: "BaseRecognizer.java"
>   minor version: 0
>   major version: 48

As this may be a serious bug, F18 update would be appreciated too.
Comment 3 Milos Jakubicek 2012-08-21 20:36:57 EDT
Thanks for the hint with javap. I think I have definitely solved the issue, now everything is compiled for 1.6.

I've built antlr3-3.4-11 in fc19 and fc18, now reading again the blocker bug, can you confirm F17 is fine or should there rather be an update released as well?
Comment 4 Mikolaj Izdebski 2012-08-22 00:38:30 EDT
> I've built antlr3-3.4-11 in fc19 and fc18, now reading again the blocker
> bug, can you confirm F17 is fine or should there rather be an update
> released as well?

Thank you for the fix. I am happy with F18+ only.
Comment 5 Milos Jakubicek 2012-08-22 04:42:21 EDT
But F17 has Java 7 as well, so it might affected, or not?
Comment 6 Mikolaj Izdebski 2012-08-22 05:31:19 EDT
> But F17 has Java 7 as well, so it might affected, or not?

I don't know it is affected or not, you can check it with javap.
It's up to you if you think this is worth a F17 update.
I only needed this fixed in F18 and rawhide.
Comment 7 Fedora Update System 2012-08-22 06:04:48 EDT
antlr3-3.4-11.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/antlr3-3.4-11.fc17
Comment 8 Fedora Update System 2012-08-22 17:15:12 EDT
Package antlr3-3.4-11.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing antlr3-3.4-11.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-12526/antlr3-3.4-11.fc17
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2012-09-11 20:25:57 EDT
antlr3-3.4-11.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.